{{ define "content" }}
<div class="row">
	<div class="col-12">
		<h1>
			{{ index .Translation "BlogNewMessage"}}
		</h1>
		<form class="form-blog-message" id="BlogMessageForm" role="form" action="blogpost-create" method="post">
	    <div class="form-group">
	      <label for="category">{{ index .Translation "Category" }}</label>
	      <select class="form-control" id="category" name="category">
	        <option value="BlogFun">{{ index .Translation "BlogFun" }}</option>
	        <option value="BlogFact">{{ index .Translation "BlogFact" }}</option>
	      </select>
	    </div>
	    <div class="form-group">
	      <label for="message">{{ index .Translation "BlogMessage" }}</label>
	      <textarea class="form-control" id="message" name="message" rows="8"></textarea>
	    </div>
	    <button type="submit" class="btn btn-primary">{{ index .Translation "Submit" }}</button>
		</form>
	</div>
</div>
<hr>
<div class="row top-buffer">
	<div class="col-12">
		<h1>
			{{ index .Translation "BlogMessages"}}
		</h1>
		<table class="table table-hover">
		  <thead>
		    <tr>
		    	<th class="table-dark bg-primary" scope="col" style="width: 20%;">{{ index .Translation "Category" }}</th>
				<th class="table-dark bg-primary" scope="col" style="width: 20%;">{{ index .Translation "CreatedAt" }}</th>
				<th class="table-dark bg-primary" scope="col">{{ index .Translation "Name" }}</th>
				<th class="table-dark bg-primary text-center" scope="col" style="width: 5%;">{{ index .Translation "Delete" }}</th>
		    </tr>
		  </thead>
		  <tbody>
		    {{ range $v := .Data }}
		    <tr id="tr{{ $v.Id }}">
				<td>{{ translate $v.Category }}</td>
				<td>{{ formatDateTime $v.CreatedAt }}</td>
				<td>{{ $v.Author }}</td>
				<td class="text-center"><button type="button" data-blogpostId="{{ $v.Id }}" class="btn btn-danger btn-sm HideBlogpost"><i class="far fa-thumbs-down"></i></button></td>
		    </tr>
		    {{ end }}
		  </tbody>
		</table>
	</div>
</div>

{{ end }}